# Data-Driven Modeling of Conservation Laws

## Installation

``` bash
conda create --name DDM python=3.12.2 -y
conda activate DDM
conda env create -f environment.yml
conda install -c conda-forge fenics-dolfinx=0.8.0 mpich=4.2.1 pyvista=0.43.10 -y
```

## Usage

Find the different projects in the folders "Project1", "Project2" (to be created) and "Project3" (to be created).
The src code can be found in "src" for each Project folder and in "LyX" the code for the report, written with the text processor LyX can be found.

### Project 1
Go to the folder "Project1/src".
Open the Notebook `main.ipynb` to see all the calculations in a single notebook.
The source code to this is stored in the file `System.py` in the class `System`.
Furthermore, a finite element approximation with the open-source software FEniCSx was used and implemented in `FEniCS.py`.

## Contact

### Author

- Jan Habscheid
- [Jan.Habscheid@rwth-aachen.de](mailto:Jan.Habscheid@rwth-aachen.de)

### Supervisor

- Steinar Evje
